Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.operators
Class BufferOperator

    java.lang.Object
      unity.operators.Operator
          unity.operators.BufferOperator

    public class BufferOperator

extends Operator

Constructor Summary
`BufferOperator(Operator in, int maxSize, int genSeed, boolean doDelay, int transRate, boolean doBurst, double bursty)`
`BufferOperator(Operator in, int maxSize, int maxProcess, int minCount)`
`BufferOperator(Operator in, int maxSize, int maxProcess, int minCount, int genSeed, boolean doDelay, int transRate, boolean doBurst, double bursty)`

Method Summary
`void` | `close()`
`boolean` | `endInput()`
`boolean` | `hasNext()`
`void` | `init()`
`boolean` | `isBuffered()`
`Tuple` | `next()`
`int` | `numTuplesInBuffer()`
`java.lang.String` | `toString()`

Methods inherited from class unity.operators.Operator
`getOutputRelation, getPageIOs, getPagesRead, getTupleIOs, getTuplesOutput, getTuplesRead, printTree, setOutputRelation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BufferOperator

    public BufferOperator(Operator in,
                          int maxSize,
                          int genSeed,
                          boolean doDelay,
                          int transRate,
                          boolean doBurst,
                          double bursty)

### BufferOperator

    public BufferOperator(Operator in,
                          int maxSize,
                          int maxProcess,
                          int minCount)

### BufferOperator

    public BufferOperator(Operator in,
                          int maxSize,
                          int maxProcess,
                          int minCount,
                          int genSeed,
                          boolean doDelay,
                          int transRate,
                          boolean doBurst,
                          double bursty)

Method Detail

### numTuplesInBuffer

    public int numTuplesInBuffer()

### isBuffered

    public boolean isBuffered()

  Overrides:
    `isBuffered` in class `Operator`

### init

    public void init()
              throws java.io.IOException

  Specified by:
    `init` in class `Operator`
  Throws:
    `java.io.IOException`

### next

    public Tuple next()
               throws java.io.IOException

  Specified by:
    `next` in class `Operator`
  Throws:
    `java.io.IOException`

### endInput

    public boolean endInput()

### hasNext

    public boolean hasNext()
                    throws java.io.IOException

  Overrides:
    `hasNext` in class `Operator`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `Operator`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD